<?php
    $lang = $args['lang'];
    $alt_lang = $args['alt_lang'];
?>

<!DOCTYPE html>
<html lang="<?php echo $lang; ?>">

  <head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <title>Spatolata</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Un gelato spatolato con passione.">

    <?php
        $static_dir = get_static_directory_uri();
        wp_enqueue_style('fonts', $static_dir . '/fonts.css');
        wp_enqueue_style('bootstrap-icons', $static_dir . '/bootstrap-icons.css');
        wp_enqueue_script('nav', $static_dir . '/nav.js', args: ["in_footer" => true]);
        wp_enqueue_script('parallax', $static_dir . '/parallax.js', args: ["in_footer" => true]);

        $custom_logo_id = get_theme_mod('custom_logo');
    ?>

    <?php wp_head(); ?>
  </head>

  <body <?php body_class(); ?>>
  <?php wp_body_open(); ?>

    <header>
      <div class="header-container">

        <nav id="nav">

          <div id="nav-logo-wrap">
            <a href="#home">
              <img
                  id="nav-logo"
                  src="<?php
                    echo wp_get_attachment_image_url($custom_logo_id, "medium");
                  ?>"
                  alt="Logo di Spatolata"
                  />
            </a>
          </div>

          <div id="nav-list-wrap">

            <?php

            $nav_list = [];

            while (have_posts()) {
                the_post();

                if (!has_tag('section')) continue;
                if (!has_tag($lang)) continue;
                if (has_tag('hero')) continue;

                $title = get_the_title();

                array_push($nav_list, [
                    'id' => get_post_anchor_id($title),
                    'title' => $title,
                ]);
            }
            ?>

            <ul id="nav-list">
              <li><a href="#home">Home</a></li>

              <?php
                for ($i = 0; $i < count($nav_list) / 2; $i++) {
                    $item = $nav_list[$i];
                    echo '<li><a href="#' . $item['id'] . '">' . $item['title'] . '</a></li>';
                }
              ?>

              <li id="nav-logo-inline" class="normal-only">
                <a href="#home">
                  <img
                      src="<?php
                        echo wp_get_attachment_image_url($custom_logo_id, "medium");
                      ?>"
                      alt="Logo di Spatolata"
                      />
                </a>
              </li>

              <?php
                for ($i = count($nav_list) / 2; $i < count($nav_list); $i++) {
                    $item = $nav_list[$i];
                    echo '<li><a href="#' . $item['id'] . '">' . $item['title'] . '</a></li>';
                }
              ?>

              <li><a href="#contatti">
                <?php if ($lang == 'en') { ?>
                  Contact Us
                <?php } else { ?>
                  Contatti
                <?php } ?>
              </a></li>
              <li class="small-only">
                <a href="./?l=<?php echo $alt_lang['name']; ?>">
                  <img class="flag" src="
                    <?php echo $static_dir . '/' . $alt_lang['img']; ?>
                   " alt="US/UK Flag" />
                </a>
              </li>
            </ul>

            <div id="nav-toggle-wrap" class="small-only">
              <span id="nav-toggle">☰</span>
            </div>

          </div>

          <div id="nav-flag-wrap" class="normal-only">
            <a href="./?l=<?php echo $alt_lang['name']; ?>">
              <img class="flag" src="
                 <?php echo $static_dir . '/' . $alt_lang['img']; ?>
               " alt="US/UK Flag" />
            </a>
          </div>

        </nav>

      </div>
    </header>

    <div class="content-container">
